Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Interface ActivityListener

    public interface ActivityListener

Interface for object which monitor long-running activities. (may be subject to change before 1.2-final)

Since:
  1.2
Author:
  Thomas Down

Method Summary
`void` | `activityFailed(Object source, Exception ex)` Notification of errors behind the scenes.
`void` | `activityProgress(Object source, int current, int target)` Estimated progress of an activity.
`void` | `completedActivity(Object source)` Notification that an activity is complete.
`void` | `startedActivity(Object source)` Notification that an activity has started.

Method Detail

### startedActivity

    void startedActivity(Object source)

  Notification that an activity has started.

### completedActivity

    void completedActivity(Object source)

  Notification that an activity is complete.

### activityFailed

    void activityFailed(Object source,
                        Exception ex)

  Notification of errors behind the scenes.

### activityProgress

    void activityProgress(Object source,
                          int current,
                          int target)

  Estimated progress of an activity. This indicated that `current` parts of the activity have been completed, out of a target `target`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD